POWEROFF(8)

NAZWA
poweroff, reboot, halt - wyłącza, przeładowuje lub zatrzymuje komputer

SKŁADNIA

poweroff [OPCJE...]

reboot [OPCJE...]

halt [OPCJE...]

OPIS

poweroff, reboot i halt służy do wyłączenia, przeładowania lub zatrzymania komputera. Wszystkie trzy polecenia przyjmują te same opcje.

OPCJE

Obsługiwane są następujące opcje:

--help
    Wyświetla krótki komunikat pomocy i wychodzi.

    Dodane w wersji 253.

--halt
    Zatrzymuje komputer, niezależnie od tego, którego z trzech poleceń użyto.

    Dodane w wersji 253.

-p, --poweroff
    Wyłącza komputer, gdy wywołane jest halt lub poweroff. Opcja jest ignorowana przy wywołaniu reboot.

    Dodane w wersji 253.

--reboot
    Przeładowuje komputer, niezależnie od tego, którego z trzech poleceń użyto.

    Dodane w wersji 253.

-f, --force
    Wymusza natychmiastowe wyłączenie, zatrzymanie lub przeładowanie. Polecenie nie skontaktuje się z systemem init. W większości przypadków przed wyłączeniem systemy plików nie zostaną poprawnie odmontowane. Polecenie reboot -f jest przykładowo prawie równoważne poleceniu systemctl reboot -ff, zamiast systemctl reboot -f.

    Dodane w wersji 253.

-w, --wtmp-only
    Dokonuje jedynie wpisu wtmp , bez rzeczywistego wyłączenia, przeładowania lub zatrzymania.

    Dodane w wersji 253.

-d, --no-wtmp
    Nie dokonuje wpisu wtmp.

    Dodane w wersji 253.

-n, --no-sync
    Nie wykonuje synchronizacji twardych dysków/nośników danych przed wyłączeniem, przeładowaniem lub zatrzymaniem.

    Dodane w wersji 253.

--no-wall
    Nie wysyła komunikatu wall przed wyłączeniem, przeładowaniem lub zatrzymaniem.

    Dodane w wersji 253.

STATUS ZAKOŃCZENIA

W przypadku powodzenia zwracane jest 0, w razie błędu kod jest niezerowy.

UWAGI

Polecenia zaimplementowano w sposób zapewniający podstawową kompatybilność z pierwotnymi poleceniami z SysV. Argumenty poweroff, reboot, halt narzędzia systemctl(1) obsługują te same funkcje oraz kilka dodatkowych.

Proszę zauważyć, że na wielu systemach SysV polecenie halt było synonimem poweroff, tzn. oba polecenia powodowały wyłączenie komputera. W systemd jest to dokładniejsze, halt powoduje zatrzymanie komputera (z pozostawieniem włączonego zasilania), a do wyłączenia komputera należy użyć poweroff.

ZOBACZ TAKŻE

systemd(1), systemctl(1), shutdown(8), wall(1)

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.